curl https://routing.dari.dev/v1/messages \
-H "Authorization: Bearer $DARI_ROUTING_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "dari/routing",
"max_tokens": 256,
"messages": [{"role": "user", "content": "Hello from Dari"}]
}'
Router APIs
Anthropic Messages API
Send a routed Anthropic Messages request
POST
/
v1
/
messages
curl https://routing.dari.dev/v1/messages \
-H "Authorization: Bearer $DARI_ROUTING_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "dari/routing",
"max_tokens": 256,
"messages": [{"role": "user", "content": "Hello from Dari"}]
}'
string
required
Bearer plus a Routing API key.string
required
Must be
dari/routing.number
required
Maximum output tokens.
array
required
Anthropic Messages input objects.
string | array
System instructions.
boolean
Stream with Server-Sent Events.
array
Anthropic tool definitions.
object
Enable Anthropic extended thinking when the selected model supports it.
curl https://routing.dari.dev/v1/messages \
-H "Authorization: Bearer $DARI_ROUTING_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "dari/routing",
"max_tokens": 256,
"messages": [{"role": "user", "content": "Hello from Dari"}]
}'
dari_routing metadata returned with the message. The /v1 endpoint uses your organization’s default router; use https://routing.dari.dev/{router_id}/messages for a specific router.